Bug 200331 - Neither the 'setkeycodes' nor 'getkeycodes' commands appear to work.
Neither the 'setkeycodes' nor 'getkeycodes' commands appear to work.
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: kbd (Show other bugs)
5
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Miloslav Trmač
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-26 17:33 EDT by Peter Williams
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-28 11:26:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output of failed (strace getkeycodes) for USB keyboard (5.10 KB, application/octet-stream)
2006-07-28 06:31 EDT, Peter Williams
no flags Details
Output of successful (strace getkeycodes) for PS/2 keyboard (15.97 KB, application/octet-stream)
2006-07-28 06:32 EDT, Peter Williams
no flags Details

  None (edit)
Description Peter Williams 2006-07-26 17:33:22 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-GB; rv:1.8.0.4) Gecko/20060614 Fedora/1.5.0.4-1.2.fc5 Firefox/1.5.0.4 pango-text

Description of problem:


Version-Release number of selected component (if applicable):
Kernel: 2.6.17-1.2157_FC5

How reproducible:
Always


Steps to Reproduce:
1. Give the command

   # setkeycodes 1 1

to the shell prompt, or just

   # getkeycodes

2.
3.

Actual Results:
KDSETKEYCODE: No such device
failed to set scancode 1 to keycode 1

Similarly

  # getkeycodes

gives

KDGETKEYCODE: No such device



Expected Results:


Additional info:
Build Host: ls20-bc2-14.build.redhat.com
Source RPM: kbd-1.12-13.2.src.rpm
Comment 1 Miloslav Trmač 2006-07-27 20:50:41 EDT
What kind of keyboard to you use?  If it is an USB keyboard, do the commands
work after you connect a regular PS/2 keyboard?

For completeness, please attach the log file created by (strace -o log getkeycodes).
Comment 2 Peter Williams 2006-07-28 06:31:11 EDT
Created attachment 133225 [details]
Output of failed (strace getkeycodes) for USB keyboard
Comment 3 Peter Williams 2006-07-28 06:32:32 EDT
Created attachment 133226 [details]
Output of successful (strace getkeycodes) for PS/2 keyboard
Comment 4 Peter Williams 2006-07-28 06:36:39 EDT
Currently using a standard Dell USB corded keyboard.  

But everything works fine with an old PS/2 corded keyboard.
Comment 5 Miloslav Trmač 2006-07-28 11:26:09 EDT
Thanks.

The behavior is correct, although not user-friendly: the USB HID standard
defines keyboard scan codes, so there should be no need to modify the
mapping and the USB keyboard driver thus does not support this function.

I'll send a patch upstream to make the error message more informative.

Note You need to log in before you can comment on or make changes to this bug.